- Main Page
- Modules
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# cISPEventLogger Class Reference
[Parallel simulation support]

Implements phase one for the Ideal Simulation Protocol (ISP), namely, creating the log of "external" events. More...

`#include <cispeventlogger.h>`

Inheritance diagram for cISPEventLogger:

List of all members.

## Public Member Functions
| cISPEventLogger ()
virtual | ~cISPEventLogger ()
virtual void | startRun ()
virtual void | endRun ()
void | processOutgoingMessage (cMessage *msg, int procId, int moduleId, int gateId, void *data)
virtual cMessage * | getNextEvent ()

## Detailed Description

Implements phase one for the Ideal Simulation Protocol (ISP), namely, creating the log of "external" events.

That log will be used as by the ISP synchromization mechanism (cIdealSimulationProtocol).

This class simply executes the simulation under the Null Message Algorithm, and additionally records all "external" events to a file.

## Constructor & Destructor Documentation

cISPEventLogger::cISPEventLogger | ( |  | ) |

| Constructor.

virtual cISPEventLogger::~cISPEventLogger | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual void cISPEventLogger::endRun | ( |  | ) | `[virtual]`

| Called at the end of a simulation run. The addition to the base class is closing the file. Reimplemented from cNullMessageProtocol.

virtual cMessage* cISPEventLogger::getNextEvent | ( |  | ) | `[virtual]`

| Scheduler function. The addition to the base class is recording the event to the file. Reimplemented from cNullMessageProtocol.

void cISPEventLogger::processOutgoingMessage | ( | cMessage * | msg,
|  | int | procId,
|  | int | moduleId,
|  | int | gateId,
|  | void * | data
| ) | `[virtual]`

| Overridden to check that the model doesn't set message priority which we need for our own purposes. Reimplemented from cNullMessageProtocol.

virtual void cISPEventLogger::startRun | ( |  | ) | `[virtual]`

| Called at the beginning of a simulation run. The addition to the base class is opening the file. Reimplemented from cNullMessageProtocol.

The documentation for this class was generated from the following file:

- cispeventlogger.h